<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    var id = ''
    while(id === '')
    {
      id = prompt('ID를 입력해주세요')
    }
    id2 = prompt('입력한 ID를 확인해주세요')
    if(id === id2)
    {
      alert('아이디가 일치합니다')
    }
    else
    {
      alert('아이디가 일치하지 않습니다')
    }
  </script>
</body>
</html>